All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.jdbc
Class JDBCDataTypeInfo

    com.sas.storage.jdbc.JDBCDataTypeInfo

    public class JDBCDataTypeInfo

A utility class that provides a mapping of JDBC data types to its various String and class representations.

Field Summary
`protected static java.util.Hashtable` | `typeInfo` A hashtable mapping JDBC data type ids to an object containing information about that data type.

Constructor Summary
`JDBCDataTypeInfo()`

Method Summary
`static java.lang.String` | `getDataBeanAccessMethodPart(int jdbcDataType)` Returns the String representation of the XXX part of the ResultSet getXXX method that is recommended to retrieve the corresponding JDBC data type.
`static java.lang.Object` | `getDefaultValue(int jdbcDataType)` Return the default value associated with a JDBC data type id
`static java.lang.Class` | `getJavaClass(int jdbcDataType)` Return the class of the java data type that corresponds to the JDBC data type id.
`static java.lang.String` | `getJavaType(int jdbcDataType)` Return the String representation of the java data type that corresponds to the JDBC data type id.
`static java.lang.String` | `getJDBCTypeString(int jdbcDataType)` Return the String representation of the JDBC data type that corresponds to the JDBC data type id.
`protected static void` | `initTypeInfo()` initTypeInfo creates the Hashtable containing the information about the JDBC data types.

Field Detail

### typeInfo

    protected static java.util.Hashtable typeInfo

  A hashtable mapping JDBC data type ids to an object containing information about that data type.

Constructor Detail

### JDBCDataTypeInfo

    public JDBCDataTypeInfo()

Method Detail

### initTypeInfo

    protected static void initTypeInfo()

  initTypeInfo creates the Hashtable containing the information about the JDBC data types.

### getDefaultValue

    public static java.lang.Object getDefaultValue(int jdbcDataType)

  Return the default value associated with a JDBC data type id

  Parameters:
    `jdbcDataType` - JDBC data type id
  Returns:
    the default value associated with a JDBC data type id
  See Also:
    `Types`

### getJavaType

    public static java.lang.String getJavaType(int jdbcDataType)

  Return the String representation of the java data type that corresponds to the JDBC data type id. For example, passing java.sql.Types.DATE returns "java.sql.Date"

  Parameters:
    `jdbcDataType` - JDBC data type id
  Returns:
    String representation of the java data type
  See Also:
    `Types`

### getJDBCTypeString

    public static java.lang.String getJDBCTypeString(int jdbcDataType)

  Return the String representation of the JDBC data type that corresponds to the JDBC data type id. For example, passing java.sql.Types.DATE returns "DATE"

  Parameters:
    `jdbcDataType` - JDBC data type id
  Returns:
    String representation of the JDBC data type
  See Also:
    `Types`

### getDataBeanAccessMethodPart

    public static java.lang.String getDataBeanAccessMethodPart(int jdbcDataType)

  Returns the String representation of the XXX part of the ResultSet getXXX method that is recommended to retrieve the corresponding JDBC data type. For example, passing java.sql.Types.DATE returns "Date", because the recommended ResultSet method used to retrieve this type is getDate.

  Parameters:
    `jdbcDataType` - JDBC data type id
  Returns:
    String representation of the JDBC data type
  See Also:
    `Types`

### getJavaClass

    public static java.lang.Class getJavaClass(int jdbcDataType)

  Return the class of the java data type that corresponds to the JDBC data type id. For example, passing java.sql.Types.DATE returns java.sql.Date.class

  Parameters:
    `jdbcDataType` - JDBC data type id
  Returns:
    class of the java data type
  See Also:
    `Types`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.